User Tag List

Page 21 of 25 FirstFirst ... 11 19 20 21 22 23 ... LastLast
Results 201 to 210 of 249

Thread: Android Runtime - Build 292

  1. #201
    Forum Moderator

    Fusion 2.5 MacFusion 2.5 DeveloperFusion 2.5+ DLCAndroid Export ModuleHTML5 Export ModuleiOS Export ModuleUniversal Windows Platform Export ModuleSWF Export ModuleMac Export ModuleInstall Creator Pro
    Fusion 2.5 (Steam)Fusion 2.5 Developer (Steam)Android Export Module (Steam)HTML5 Export Module (Steam)iOS Export Module (Steam)
    Perry's Avatar
    Join Date
    Dec 2013
    Location
    Watertown, WI
    Posts
    4,323
    Mentioned
    44 Post(s)
    Tagged
    0 Thread(s)
    Quote Originally Posted by gkinfinity View Post
    I'm trying to get my Android Exporter working but I'm running into trouble. Hoping to get some help on this.

    -I'm on Fusion version R292.10
    -I installed the latest version of Android Studio
    -I installed the 64-bit version of JDK 8
    -I updated the Android SDK directory and the JDK directory location in the Fusion exporter preferences
    -Build type = Android
    -Build API = 29

    When I try to build an application, I get this error:

    ---------------------------------------------------

    Buildfile: C:\Users\XYZ\AppData\Local\Temp\And7ADE.tmp\build. xml

    BUILD FAILED
    C:\Users\XYZ\AppData\Local\Temp\And7ADE.tmp\build. xml:83: Cannot find C:\Users\XYZ\AppData\Local\Android\Sdk\tools\ant\b uild.xml imported from C:\Users\XYZ\AppData\Local\Temp\And7ADE.tmp\build. xml

    Total time: 0 seconds

    ---------------------------------------------------

    Not sure where I went wrong
    you need Gradle

  2. #202
    Clicker Fusion 2.5 MacFusion 2.5 DeveloperFusion 2.5+ DLCAndroid Export ModuleHTML5 Export ModuleiOS Export ModuleXNA Export Module
    Fusion 2.5 (Steam)Fusion 2.5 Developer (Steam)Android Export Module (Steam)HTML5 Export Module (Steam)iOS Export Module (Steam)Universal Windows Platform Export Module (Steam)
    gkinfinity's Avatar
    Join Date
    May 2011
    Location
    USA
    Posts
    273
    Mentioned
    0 Post(s)
    Tagged
    0 Thread(s)
    Quote Originally Posted by Perry View Post
    you need Gradle
    Oh, I thought that was prepackaged with Android Studio or something.

    I downloaded Gradle but I'm actually still getting the same error

  3. #203
    Forum Moderator

    Fusion 2.5 MacFusion 2.5 DeveloperFusion 2.5+ DLCAndroid Export ModuleHTML5 Export ModuleiOS Export ModuleUniversal Windows Platform Export ModuleSWF Export ModuleMac Export ModuleInstall Creator Pro
    Fusion 2.5 (Steam)Fusion 2.5 Developer (Steam)Android Export Module (Steam)HTML5 Export Module (Steam)iOS Export Module (Steam)
    Perry's Avatar
    Join Date
    Dec 2013
    Location
    Watertown, WI
    Posts
    4,323
    Mentioned
    44 Post(s)
    Tagged
    0 Thread(s)
    odd,
    something else is still installed, since Android studio, doesn't have those ant tools.
    So you still have an JDK installed as well?
    and it needs to be all 64 bits too.

  4. #204
    Clickteam Clickteam
    Fernando's Avatar
    Join Date
    Dec 2006
    Posts
    6,051
    Mentioned
    131 Post(s)
    Tagged
    3 Thread(s)
    @gkinfinity

    you mentioned that you have 292.10 but it shows and error like 291 when was ANT the building system, can you do a full installation and then update to version 292.11

    of course if you already installed Java sdk 1.8 update 221

    android command line tools plus platform 28.0.3 and accept the licenses
    Regards,


    Fernando Vivolo

    ... new things are coming ...

  5. #205
    Clicker Fusion 2.5 (Steam)Fusion 2.5+ DLC (Steam)Android Export Module (Steam)
    Xendelaar's Avatar
    Join Date
    Nov 2010
    Location
    netherlands
    Posts
    15
    Mentioned
    0 Post(s)
    Tagged
    0 Thread(s)
    I tried follow the instructions on the first post but still I receive an error when I build a really simple app with only one extension (location object).

    - I'm a Windows 10 users
    -I'm on Fusion version R292.10
    -I installed the latest version of Android Studio and installed android sdk 28 to 25
    -I installed the 64-bit version of JDK 8 (1.8.0-openjdk-1.8.0.212-1.b04.ojdkbuild.windows.x86_64)
    -I updated the Android SDK directory and the JDK directory location in the Fusion exporter preferences
    -Build type = Android
    -Build API = 28
    -I also installed Gradle, but I don't know why

    I get the following error:

    Starting a Gradle Daemon (subsequent builds will be faster)
    > Task :app:preBuild UP-TO-DATE
    > Task :app:preDebugBuild
    > Task :app:compileDebugAidl NO-SOURCE
    > Task :app:compileDebugRenderscript NO-SOURCE
    > Task :app:checkDebugManifest
    > Task :app:generateDebugBuildConfig
    > Task :app:prepareLintJar
    > Task :app:generateDebugSources
    > Task :app:javaPreCompileDebug
    > Task :app:mainApkListPersistenceDebug
    > Task :app:generateDebugResValues
    > Task :app:generateDebugResources
    > Task :app:mergeDebugResources
    > Task :app:createDebugCompatibleScreenManifests
    > Task :app:processDebugManifest
    > Task :app:processDebugResources

    > Task :app:compileDebugJavaWithJavac
    C:\Users\Alexander\AppData\Local\Temp\AndF5E6.tmp\ app\src\main\java\Extensions\CRunLocation.java:266 : error: incompatible types: missing return value
    if(providers == null) return;
    ^
    Note: Some input files use or override a deprecated API.
    Note: Recompile with -Xlint:deprecation for details.
    Note: Some input files use unchecked or unsafe operations.
    Note: Recompile with -Xlint:unchecked for details.
    1 error

    > Task :app:compileDebugJavaWithJavac FAILED

    FAILURE: Build failed with an exception.

    * What went wrong:
    Execution failed for task ':app:compileDebugJavaWithJavac'.
    > Compilation failed; see the compiler error output for details.

    * Try:
    Run with --stacktrace option to get the stack trace. Run with --info or --debug option to get more log output. Run with --scan to get full insights.

    * Get more help at https://help.gradle.org

    Deprecated Gradle features were used in this build, making it incompatible with Gradle 6.0.
    Use '--warning-mode all' to show the individual deprecation warnings.
    See https://docs.gradle.org/5.1.1/usergu..._line_warnings

    BUILD FAILED in 13s
    12 actionable tasks: 12 executed

  6. #206
    Clicker Fusion 2.5 (Steam)Fusion 2.5+ DLC (Steam)Android Export Module (Steam)
    Xendelaar's Avatar
    Join Date
    Nov 2010
    Location
    netherlands
    Posts
    15
    Mentioned
    0 Post(s)
    Tagged
    0 Thread(s)
    Shoot... if I remove the only location extension, the file does get compiled! does this mean that the location object is not supported by android?

  7. #207
    Clicker Fusion 2.5 MacFusion 2.5 DeveloperFusion 2.5+ DLCAndroid Export ModuleHTML5 Export ModuleiOS Export ModuleXNA Export Module
    Fusion 2.5 (Steam)Fusion 2.5 Developer (Steam)Android Export Module (Steam)HTML5 Export Module (Steam)iOS Export Module (Steam)Universal Windows Platform Export Module (Steam)
    gkinfinity's Avatar
    Join Date
    May 2011
    Location
    USA
    Posts
    273
    Mentioned
    0 Post(s)
    Tagged
    0 Thread(s)
    Quote Originally Posted by Fernando View Post
    @gkinfinity

    you mentioned that you have 292.10 but it shows and error like 291 when was ANT the building system, can you do a full installation and then update to version 292.11

    of course if you already installed Java sdk 1.8 update 221

    android command line tools plus platform 28.0.3 and accept the licenses
    Quote Originally Posted by Perry View Post
    odd,
    something else is still installed, since Android studio, doesn't have those ant tools.
    So you still have an JDK installed as well?
    and it needs to be all 64 bits too.
    After doing some research, I believe that I previously installed the Android SDK patch after following this guide -- http://flyinvinteractive.com/CT/Fusi...oid_Setup.html. I think this is what's giving me issues, but I'm not sure what was affected exactly or how to fix whatever was changed by it. I've already tried uninstalling and reinstalling everything (which took forever), but the issue is still there. :/

    Is there something specific I can remove/uninstall to get it to work?

  8. #208
    Clickteam Clickteam
    Fernando's Avatar
    Join Date
    Dec 2006
    Posts
    6,051
    Mentioned
    131 Post(s)
    Tagged
    3 Thread(s)
    These steps are only valid for previous version not Gradle, you must follow the steps at the beginning of this thread
    Regards,


    Fernando Vivolo

    ... new things are coming ...

  9. #209
    Clicker Fusion 2.5 MacFusion 2.5 DeveloperFusion 2.5+ DLCAndroid Export ModuleHTML5 Export ModuleiOS Export ModuleXNA Export Module
    Fusion 2.5 (Steam)Fusion 2.5 Developer (Steam)Android Export Module (Steam)HTML5 Export Module (Steam)iOS Export Module (Steam)Universal Windows Platform Export Module (Steam)
    gkinfinity's Avatar
    Join Date
    May 2011
    Location
    USA
    Posts
    273
    Mentioned
    0 Post(s)
    Tagged
    0 Thread(s)
    Right, thats the issue that I've run into. I'm pretty sure I previously set up the Android exporter using the old ant tools, so when I tried to follow the steps at the beginning of this thread for the Gradle setup, something had already been changed so the new method with Gradle isn't working.

    My question is how can I remove whatever was done using the old method?

  10. #210
    Clickteam Clickteam
    Fernando's Avatar
    Join Date
    Dec 2006
    Posts
    6,051
    Mentioned
    131 Post(s)
    Tagged
    3 Thread(s)
    uninstall fusion and deleted the directory just in case something remains inside

    then:

    install fusion from installer then the 292.11 beta patch

    install android command tools plus platform 28.0.3 and accept license

    install java sdk 1.8 update 221 (if your pc is 32 use x86 if not use 64bits)

    open fusion and set these directories inside Preferences--> General.
    Regards,


    Fernando Vivolo

    ... new things are coming ...

Page 21 of 25 FirstFirst ... 11 19 20 21 22 23 ... LastLast

Similar Threads

  1. Users that cannot build with Android Studio (ant\build.xml error)
    By Perry in forum Android Export Module 2.5
    Replies: 77
    Last Post: 16th October 2018, 02:17 PM
  2. Replies: 56
    Last Post: 26th December 2017, 08:53 PM
  3. Cannot build my Android app (ant/build.xml error)
    By oaklan5 in forum Fusion 2.5
    Replies: 1
    Last Post: 27th July 2017, 06:59 PM
  4. Replies: 15
    Last Post: 27th November 2014, 10:08 AM

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •